# Check a Stripe promo code for a user Checks a Stripe promo code for the logged in user. The promo code is checked for validity of the current user based on first time order restriction, specific customer restriction, max allowed redemptions and expiration. The payment form payment options are checked to match the minimum payment amount requirements of the promo code. Endpoint: GET /zephr/payment/stripe/promo-code Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Query parameters: - `code` (string, required) The ID of the Stripe promo code to check. - `paymentForm` (string, required) The slug of the Stripe payment form the promo code relates to. ## Response 200 fields (application/json): - `code` (string) Same code supplied as a query parameter in the request - `discount` (string) The discount offered by this promo code - `paymentOptions` (array) The payment options (either from the supplied payment form or from the request body) filtered for promo code validity - `paymentOptions.slug` (string) - `paymentOptions.productId` (string) - `paymentOptions.currency` (string) - `paymentOptions.pricePointId` (string) - `paymentOptions.originalPrice` (number) - `paymentOptions.discountPrice` (number)